﻿@model PrimerAvanze.Models.ManageLoginsViewModel
@using Microsoft.Owin.Security
@{
    ViewBag.Title = "Administre sus inicios de sesión externos";
}

<!-- ======= About Us Section ======= -->
<section class="breadcrumbs">
    <div class="container">

        <div class="d-flex justify-content-between align-items-center">
            <h2>Administre sus inicios de sesión externos</h2>
            <ol>
                <li><a href="~/">Inicio</a></li>
                <li>Administre sus inicios de sesión externos</li>
            </ol>
        </div>

    </div>
</section><!-- End About Us Section -->
<!-- ======= Contact Section ======= -->
<section class="contact" data-aos="fade-up" data-aos-easing="ease-in-out" data-aos-duration="500">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <p class="text-success">@ViewBag.StatusMessage</p>
                @if (Model.CurrentLogins.Count > 0)
                {
                    <h4>Inicios de sesión registrados</h4>
                    <table class="table">
                        <tbody>
                            @foreach (var account in Model.CurrentLogins)
                            {
                                <tr>
                                    <td>@account.LoginProvider</td>
                                    <td>
                                        @if (ViewBag.ShowRemoveButton)
                                        {
                                            using (Html.BeginForm("RemoveLogin", "Manage"))
                                            {
                                                @Html.AntiForgeryToken()
                                                <div>
                                                    @Html.Hidden("loginProvider", account.LoginProvider)
                                                    @Html.Hidden("providerKey", account.ProviderKey)
                                                    <input type="submit" class="btn btn-primary" value="Remove" title="Remove this @account.LoginProvider login from your account" />
                                                </div>
                                            }
                                        }
                                        else
                                        {
                                            @: &nbsp;
                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                }
                @if (Model.OtherLogins.Count > 0)
                {
                    <h4>Agregue otro servicio para iniciar sesión.</h4>
                    <hr />
                    using (Html.BeginForm("LinkLogin", "Manage"))
                    {
                        @Html.AntiForgeryToken()
                        <div id="socialLoginList">
                            <p>
                                @foreach (AuthenticationDescription p in Model.OtherLogins)
                                {
                                    <button type="submit" class="btn btn-primary" id="@p.AuthenticationType" name="provider" value="@p.AuthenticationType" title="Log in using your @p.Caption account">@p.AuthenticationType</button>
                                }
                            </p>
                        </div>
                    }
                }
            </div>
        </div>
    </div>
</section>

